# USPA uses exact birthdays for their age classes.

[options]
    require_manual_disambiguation = true

[divisions]
    open = {name = "Open", min = 0, max = 999}
    youth = {name = "Youth", min = 4, max = 12.5}
    teen_13_19 = {name = "Teen 13-19", min = 13, max = 19} # Seldom used.
    juniors_13_15 = {name = "Juniors 13-15", min = 13, max = 15}
    juniors_16_17 = {name = "Juniors 16-17", min = 16, max = 17}
    juniors_18_19 = {name = "Juniors 18-19", min = 18, max = 19}
    juniors_20_23 = {name = "Juniors 20-23", min = 20, max = 23}
    submasters = {name = "Submasters 35-39", min = 35, max = 39}
    masters_40_44 = {name = "Masters 40-44", min = 40, max = 44}
    masters_45_49 = {name = "Masters 45-49", min = 45, max = 49}
    masters_50_54 = {name = "Masters 50-54", min = 50, max = 54}
    masters_55_59 = {name = "Masters 55-59", min = 55, max = 59}
    masters_60_64 = {name = "Masters 60-64", min = 60, max = 64}
    masters_65_69 = {name = "Masters 65-69", min = 65, max = 69}
    masters_70_74 = {name = "Masters 70-74", min = 70, max = 74}
    masters_75_79 = {name = "Masters 75-79", min = 75, max = 79}
    masters_80_84 = {name = "Masters 80-84", min = 80, max = 84}
    masters_80p = {name = "Masters 80+", min = 80, max = 999}

    old_masters_40_49 = {name = "Masters 40-49", min = 40, max = 49}
    old_masters_50_59 = {name = "Masters 50-59", min = 50, max = 59}
    old_masters_60_69 = {name = "Masters 60-69", min = 60, max = 69}
    old_masters_70_79 = {name = "Masters 70-79", min = 70, max = 79}
    old_masters_60p = {name = "Masters 60+", min = 60, max = 999}

    highschool_frosh_soph = {name = "Frosh/Soph", min = 14.5, max = 16}
    highschool_frosh_soph_jv = {name = "Frosh/Soph Junior Varsity", min = 14.5, max = 16}
    highschool_junior_senior = {name = "Junior/Senior", min = 15.5, max = 18}
    highschool_junior_senior_v = {name = "Junior/Senior Varsity", min = 15.5, max = 18}

    police_fire = {name = "Police/Fire", min = 0, max = 999}
    special_olympian= {name = "Special Olympian", min = 0, max = 999}

    # Old divisions. No longer in use.
    natural = {name = "Natural", min = 0, max = 999, tested = "Yes"}
    novice = {name = "Novice", min = 0, max = 999}
    juniors_15_19 = {name = "Juniors 15-19", min = 15, max = 19}
    juniors_16_18 = {name = "Juniors 16-18", min = 16, max = 18}
    juniors_16_19 = {name = "Juniors 16-19", min = 16, max = 19}
    juniors_19_23 = {name = "Juniors 19-23", min = 19, max = 23}

    # Special weightclass based divisions
    LW = {name = "LW", min = 0, max = 999}
    MW = {name = "MW", min = 0, max = 999}
    HW = {name = "HW", min = 0, max = 999}

[weightclasses.default_M]
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["1990-01-01", "9999-01-01"]
    sex = "M"

[weightclasses.default_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","100","110","110+"]
    date_range = ["2022-01-01", "9999-01-01"]
    sex = "F"

[weightclasses.through_2021_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","90+"]
    date_range = ["1990-01-01", "2021-12-31"]
    sex = "F"

[exemptions]
    0002 = ["ExemptWeightClassConsistency"] # Lifters missing weight info.
    0003 = ["ExemptWeightClassConsistency"] # Special Olympics used no classes.
    0005 = ["ExemptWeightClassConsistency"] # Women had a 60+ class.
    0008 = ["ExemptWeightClassConsistency"] # Masters didn't use weightclasses.
    0011 = ["ExemptWeightClassConsistency"] # Lifter missing weight info.
    0013 = ["ExemptWeightClassConsistency"] # Lifter missing weight info.
    0016 = ["ExemptWeightClassConsistency"] # Uses 125+ for SHW.
    0020 = ["ExemptWeightClassConsistency"] # No weightclasses for masters lifters.
    0024 = ["ExemptWeightClassConsistency"] # 125+kg class.
    0030 = ["ExemptWeightClassConsistency"] # No weightclasses for pro lifters.
    0038 = ["ExemptWeightClassConsistency"] # 125+kg class.
    0041 = ["ExemptWeightClassConsistency"] # 200lbs and 200+lbs classes.
    0050 = ["ExemptWeightClassConsistency"] # 125+kg class.
    0061 = ["ExemptWeightClassConsistency"] # 125+kg class.
    0075 = ["ExemptWeightClassConsistency"]
    0122 = ["ExemptWeightClassConsistency", "ExemptDivision"] # LM,MW,HW, plus generic Masters.
    0168 = ["ExemptWeightClassConsistency"]
    0270 = ["ExemptWeightClassConsistency"] # LW,MW,HW weightclasses.
    0299 = ["ExemptWeightClassConsistency"] # 60kg & 60+kg women's classes.
    0476 = ["ExemptWeightClassConsistency"] # 125+kg class.
    0584 = ["ExemptWeightClassConsistency"] # Mx lifter, haven't configured.
    0755 = ["ExemptWeightClassConsistency"] # Guest Youth lifters didn't weigh in.
    2359 = ["ExemptDivision"] # Pro lifters competed separately.
    2390 = ["ExemptWeightClassConsistency"] # Used old F classes.
    2404 = ["ExemptWeightClassConsistency"] # Used old F classes.
    2405 = ["ExemptWeightClassConsistency"] # Used old F classes.
